<?php get_header(); ?>

<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

        <article <?php post_class('mycontainer'); ?>>

            <div class="myposthead">
                <?php the_category(); ?>
                <h1><?php the_title(); ?></h1>
                <time datetime="<?php echo esc_attr(get_the_date(DATE_W3C)); ?>">
                    <?php echo esc_html(get_the_date()); ?>
                </time>
            </div>

            <?php the_content(); ?>

            <aside class="myshare">
                <h2><span class="dashicons dashicons-share"></span>SHARE</h2>

                <div class="mypostlist">
                    <!--Twitterのシェアボタン-->
                    <a href="https://twitter.com/share?url=<?php echo urlencode(get_permalink()); ?>&text=<?php echo urlencode(get_the_title()); ?>" class="mytwitter" onclick="window.open(this.href,'new','width=500,height=400,left='+(window.screen.width-500)/2+',top='+(window.screen.height-400)/4+''); return false">
                        <span class="dashicons dashicons-twitter"></span>
                        <span class="screen-reader-text">Twitter</span>
                    </a>
                    <!--Facebookのシェアボタン-->
                    <a href="https://www.facebook.com/share.php?u=<?php echo urlencode(get_permalink()); ?>" class="myfacebook" onclick="window.open(this.href,'new','width=500,height=400,left='+(window.screen.width-500)/2+',top='+(window.screen.height-400)/4+''); return false">
                        <span class="dashicons dashicons-facebook"></span>
                        <span class="screen-reader-text">Facebook</span>
                    </a>
                    <!--Lineのシェアボタン-->
                    <a href="https://social-plugins.line.me/lineit/share?url=<?php echo urlencode(get_permalink()); ?>" class="myline" onclick="window.open(this.href,'new','width=500,height=400,left='+(window.screen.width-500)/2+',top='+(window.screen.height-400)/4+''); return false">
                        <div class="line-it-button" data-lang="ja" data-type="share-b" data-ver="3" data-color="default" data-size="small" data-count="false" style="display: none;"></div>
                        <script src="https://www.line-website.com/social-plugins/js/thirdparty/loader.min.js" async="async" defer="defer"></script>
                        <span class="screen-reader-text">Line</span>
                    </a>
                </div>
            </aside>

            <?php the_post_navigation(); ?>

            <aside class="myrelated">
                <h2>RELATED</h2>

                <div class="mypostlist">
                    <!--記事に関するデータを取得-->
                    <?php
                    $myposts = get_posts(array(
                        'posts_per_page' => '4', //4件の記事を表示するように指定
                        'post__not_in' => array(get_the_ID()), //除外したい記事のIDをpost__not_inで指定、表示中のページの記事のIDをget_the_ID()で指定
                        'category__in' => wp_get_post_categories(get_the_ID()), //wp_get_post_categories(get_the_ID())で表示中のページの記事が属するカテゴリーのIDを取得し、category__inで指定
                        'orderby' => 'rand' //指定した条件と一致した記事をランダムに表示
                    ));
                    ?>
                    <!--get_posts()によるループ-->
                    <?php if ($myposts) :
                        foreach ($myposts as $post) :
                            setup_postdata($post); ?>

                            <!--各記事のタイトルとアイキャッチ画像を出力-->
                            <article>
                                <a href="<?php the_permalink(); ?>">
                                    <?php if (has_post_thumbnail()) : ?>
                                        <figure>
                                            <?php the_post_thumbnail(); ?>
                                        </figure>
                                    <?php endif; ?>
                                    <h3><?php the_title(); ?></h3>
                                </a>
                            </article>

                    <?php endforeach;
                        wp_reset_postdata();
                    endif; ?>
                </div>
            </aside>

        </article>

    <?php endwhile; ?>
<?php else : ?>
    <!--もし、表示すべき投稿がなかったら-->
    <p>当てはまる情報はまだありません。</p>
<?php endif; ?>

<?php get_sidebar(); ?>

<?php get_footer(); ?>
